# Utilities

## Special Feature Classes
::: pytorch_tabular.CategoricalEmbeddingTransformer
    options:
            heading_level: 3
::: pytorch_tabular.DeepFeatureExtractor
    options:
            heading_level: 3

## Miscllaneous Utilities
::: pytorch_tabular.utils._initialize_layers
    options:
            heading_level: 3
::: pytorch_tabular.utils._linear_dropout_bn
    options:
            heading_level: 3
::: pytorch_tabular.utils._make_smooth_weights_for_balanced_classes
    options:
            heading_level: 3
::: pytorch_tabular.utils.get_balanced_sampler
    options:
            heading_level: 3
::: pytorch_tabular.utils.get_class_weighted_cross_entropy
    options:
            heading_level: 3
::: pytorch_tabular.utils.get_gaussian_centers
    options:
            heading_level: 3
::: pytorch_tabular.utils.getattr_nested
    options:
            heading_level: 3
::: pytorch_tabular.utils.ifnone
    options:
            heading_level: 3
